#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: directory_maintenance.cgi,v 1.2 2002/05/02 01:25:51 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "SystemBackup-lib.pl";


  ###  Define local variables.
  my ($init_HELP);

  ###  Setup local variables.
  $init_HELP  =  &hlink("click here", "directory_init");


  ###  Print the usual header.
  &header("System Backup :: Directory Maintenance", 0);


  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>System Backup</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can perform general maintenance functions on the backup
      directory.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">

      <TR $tb>
        <TD><DIV CLASS="thead"><B>Initalize Backup Directory</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody">
          Clicking the button below will delete all existing backups and control
          files, setting the backup system to the state it was in when it was
          first installed.
          <P>&nbsp;
        </DIV></TD>
      </TR>

      <TR $cb>
        <TD ALIGN="RIGHT"><DIV CLASS="nbody">
          <FORM ACTION="directory_init.cgi" METHOD="POST">
          <INPUT TYPE="SUBMIT" VALUE="Initalize Directory">
          </FORM>
        </TD>
      </TR>

      </TABLE>
    </TD>
  </TR>
  </TABLE>
</CENTER><P>
EOF


  ###  Print the usual footer.
  &ryanFooter("index.cgi");

