#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: do_edit_config.cgi,v 1.1.1.1 2001/12/11 06:50:39 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "SystemBackup-lib.pl";
  &ReadParse();


  ###  Read the file.
  $lref = &read_file_lines("/etc/flexbackup.conf");

  ###  Go through and update the file.
  for (my $i = 0; $i < @$lref; $i++) {
    local $l  =  @$lref[$i];

    if ($l =~ m/^\$device\s+=/) {
      @$lref[$i] = "\$device = '$in{'device'}';";
    }
    elsif ($l =~ m/^\$afio_overwrite_newer\s+=/) {
      @$lref[$i] = "\$afio_overwrite_newer = '$in{'afio_overwrite_newer'}';";
    }
    elsif ($l =~ m/^\$erase_rewind_only\s+=/) {
      @$lref[$i] = "\$erase_rewind_only = '$in{'erase_rewind_only'}';";
    }
  }

  ###  Write the file back to disk.
  &flush_file_lines();


  ###  Go back to the index page.
  &redirect("index.cgi");
