#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: tape_init.cgi,v 1.2 2002/05/02 01:25:51 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "SystemBackup-lib.pl";
  &ReadParse();


  ###
  ###  We have our confirmation, so do the deed.
  ###
  if ($in{'confirm'})
  {
    ###  Step 1:  Remove the backups from /var/BACKUP
    system("rm -f /var/BACKUP/* > /dev/null 2>&1");

    ###  Step 2:  Remove timestamp and index files from /var/state/flexbackup.
    system("rm -f /var/state/flexbackup/* > /dev/null 2>&1");

    ###  Step 3:  Remove the logs from /var/log/flexbackup.
    system("rm -f /var/log/flexbackup/* > /dev/null 2>&1");

    ###  Step 4:  Erase and initalize new tape.
    system("$FLEXBACKUP_BIN -erase -newtape > /dev/null 2>&1");
    # system("$FLEXBACKUP_BIN -newtape > /dev/null 2>&1");

    ###  Now go back to the modules index page.
    &redirect("index.cgi");
  }


  ###
  ###  No confirmation yet; let's ask for it.
  ###
  else
  {
    ###  Print the usual header.
    &header("System Backup :: Confirm Tape Initalization", 0);

    ###  Now print the pretty HTML.
    print <<EOF;
<P><CENTER>
  <FORM ACTION="tape_init.cgi" METHOD="POST">
  <INPUT TYPE="HIDDEN" NAME="confirm" VALUE="1">
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>System Backup</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Clicking the button below will initalize a new tape.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="50%"><DIV CLASS="nbody">
      <B>Do you really want to initalize this tape?</B>
    </DIV></TD>
    <TD WIDTH="50%"><DIV CLASS="nbody">
      <INPUT TYPE="SUBMIT" VALUE="Really Initalize Tape">
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  </TABLE>
  </FORM>
</CENTER><P>
EOF

    ###  Print the usual footer.
    &ryanFooter("tape_maintenance.cgi");
  }
