#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: SystemBackup_help.cgi,v 1.2 2002/05/02 01:25:51 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "SystemBackup-lib.pl";

  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,A,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>System Backup Help</B></DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> System Backup Configuration </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This is where you define what medium you want the backups to be stored
           on.  You also define named backups here.  A named backup consists of
           a description, a directory, exclude patterns, and an optional
           schedule/level.

          <P>Once a named backup is defined you can use the other options on the
          main page such as "Createa a New Backup."  Backups that have a
          schedule will be backed up as per the schedule you give them.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Perform Directory / Tape Maintenance </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This screen will let you initalize the backup software to the state
          it was in when it first shipped by removing all existing backups and
          control files.  If you are using a tape it will also erase the tape.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Create a New Backup </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This screen will present you with a list of named backups.  After
          choosing a named backup you will be asked whether to create an
          incremental or a full backup.  You will be presented with a list of
          files that were backed up after the backup is complete.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Restore a Backup </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This screen will present you with a list of named backups.  After
          choosing a named backup you will be asked for a date/level to restore.
          After confirming your selections you will be asked to confirm your
          restoration.  You will be presented with a list of files that were
          restored after the restoration is complete.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> View Changes Since Backup </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This screen will present you with a list of named backups.  After
          choosing a named backup you will be asked for a date/level to verify.
          After confirming your selections you will be presented with a screen
          showing which files were modifed and removed since the backup.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF

